Subject: Re: WG last call on draft-ietf-dhc-dhcpv6-opt-dnsconfig-02.txt

From: Alain Durand <[email-masked]>
Date: Thu, 20 Feb 2003 11:40:26 -0800

From a quick look at the draft:

4. Domain Name Server option

   The Domain Name Server option provides a list of one or more IP
   addresses of DNS servers to which a client's DNS resolver MAY send
   DNS queries [2].  The DNS servers are listed in the order of
   preference for use by the client resolver.

   The format of the Domain Name Server option is:

       0                   1                   2                   3
       0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |      OPTION_DNS_SERVERS       |         option-len            |
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |                                                               |
      |                   DNS-server (IP address)                     |
      |                                                               |
      |                                                               |
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |                                                               |
      |                   DNS-server (IP address)                     |
      |                                                               |
      |                                                               |
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |                              ...                              |
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

Are the IP addresses of the DNS servers IPv4 ones or IPv6 ones?
How would the DHCP client knows?
 From the width of the boxes, one could think it it is v4 addresses,
but from the height (4 lines!), one could think it is actually v6 addresses.

My points are:
- the spec is unclear if those addresses are v4 or v6
- it may makes sense to actually mix both type in an announcement,
   for example say: try this v6 address, if it does not work, try this 
v4 one.
   Then each DNS server entry should have both the actual address and 
its family.

    - Alain.

Ralph Droms wrote:

> Reminder and note: there have been a few responses to this WG last 
> call, but no explicit positive recommendations for advancement.  
> Please review draft-ietf-dhc-dhcpv6 opt-dnsconfig-02.txt and reply 
> with comments.  If you recommend the document for advancement without 
> revision, please respond with a quick acknowledgment.  No response 
> will be interpreted as a lack of support for advancing the document.
>
> -----
>
> This message announces a WG last call on "DNS Configuration options 
> for DHCPv6" <draft-ietf-dhc-dhcpv6 opt-dnsconfig-02.txt>.  The last 
> call will conclude on Friday, 2/21.
>
> Note that this is a parallel WG last call in the dhc, ipv6 and dnsext 
> WGs.
>
> draft-ietf-dhc-dhcpv6 opt-dnsconfig-02.txt describes two options for 
> DHCPv6: the Domain Name Server option and the Domain Search List 
> option.  This document is being considered for Proposed Standard as an 
> extension to the base DHCPv6 specification, and is available as 
> http://www.ietf.org/internet-drafts/draft-ietf-dhc-dhcpv6-opt-dnsconfig-02.txt 
>
>
> - Ralph Droms
>
> --------------------------------------------------------------------
> IETF IPng Working Group Mailing List
> IPng Home Page:                      http://playground.sun.com/ipng
> FTP archive:                      ftp://playground.sun.com/pub/ipng
> Direct all administrative requests to [email-masked]
> --------------------------------------------------------------------

---

From: Ralph Droms <[email-masked]>
Date: Thu, 20 Feb 2003 15:03:44 -0500

Alain,

If it's unclear, then we should edit the document to explicitly identify 
the addresses as IPv6 addresses.

This option is intended to return IPv6 configuration information.  IPv4 
addresses for DNS resolvers should be provided through DHCPv4...

- Ralph

At 11:40 AM 2/20/2003 -0800, Alain Durand wrote:
>   for example say: try this v6 address, if it does not work, try this v4 one.
>   Then each DNS server entry should have both the actual address and its 
> family.
>
>    - Alain.
>
>
>Ralph Droms wrote:
>
>>Reminder and note: there have been a few responses to this WG last call, 
>>but no explicit positive recommendations for advancement.
>>Please review draft-ietf-dhc-dhcpv6 opt-dnsconfig-02.txt and reply with 
>>comments.  If you recommend the document for advancement without 
>>revision, please respond with a quick acknowledgment.  No response will 
>>be interpreted as a lack of support for advancing the document.
>>
>>-----
>>
>>This message announces a WG last call on "DNS Configuration options for 
>>DHCPv6" <draft-ietf-dhc-dhcpv6 opt-dnsconfig-02.txt>.  The last call will 
>>conclude on Friday, 2/21.
>>
>>Note that this is a parallel WG last call in the dhc, ipv6 and dnsext WGs.
>>
>_______________________________________________
>dhcwg mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: Ted Lemon <[email-masked]>
Date: Thu, 20 Feb 2003 13:17:26 -0700

I thought I had said that I thought it should go ahead, but maybe not 
explicitly.   I would like to see this draft advance.

---

From: JINMEI Tatuya / 神明達哉 <[email-masked]>
Date: Fri, 21 Feb 2003 21:19:00 +0900

>>>>> On Thu, 20 Feb 2003 13:56:59 -0500, 
>>>>> Ralph Droms <[email-masked]> said:

> but no explicit positive recommendations for advancement.  Please review 
> draft-ietf-dhc-dhcpv6 opt-dnsconfig-02.txt and reply with comments.  If you 
> recommend the document for advancement without revision, please respond 
> with a quick acknowledgment.  No response will be interpreted as a lack of 
> support for advancing the document.

Just as a note: I believe I presented a positive recommendation for
advancement.

(But it would better to revise the document once to address issues
raised during the last call period.)

					JINMEI, Tatuya
					Communication Platform Lab.
					Corporate R&D Center, Toshiba Corp.
					[email-masked]
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Mika Liljeberg <[email-masked]>
Date: 22 Feb 2003 13:23:12 +0200

> support for advancing the document.

I would like to see this specification move forward.

	MikaL

---

From: Ralph Droms <[email-masked]>
Date: Mon, 24 Feb 2003 12:43:06 -0500

Summary of discussion during WG last call on 
draft-ietf-dhc-dhcpv6-opt-dnsconfig-02.txt

Pekka Savola, Tony Lindstrom, Bernie Volz and Peter Koch all responded with 
editorial suggestions.  These suggestions have been incorporated into the 
draft and will appear in next published rev.

Peter Koch and Rob Austein commented on the "Security Considerations"; 
specifically, whether DNSSEC can prevent problems caused by a search list 
supplied as part of an attack by a DHCP server.  Based on Rob's argument 
(and assuming I understood Rob correctly) that DNSSEC can guarantee that a 
host can trust the replies it receives, but DNSSEC can't guarantee that the 
host has asked the right question based on its search list, I'm inclined to 
leave the text in question unchanged.

Alain Durand raised the issue of supplying both IPv4 and IPv6 addresses for 
DNS resolvers in the DNS server option.  I judged the rough consensus in 
the responses to be that restricting the DNS server option to return only 
IPv6 addresses is acceptable.

- Ralph